/******************************************************************************
 * Who_Command - Client asked for info about all logged in players
 * $Id: Who_Command.java,v 1.4 2011/06/06 02:57:00 dick Exp $
 * 
 * jIBS - A Java clone of FIBS
 * Copyright 2002 - Axel Leucht
 * Copyright 2011 - Dick Balaska - BuckoSoft, Corp.
 * 
 * $Log: Who_Command.java,v $
 * Revision 1.4  2011/06/06 02:57:00  dick
 * getPlayer() comes from JibsServer now.
 *
 * Revision 1.3  2011/05/31 17:48:49  dick
 * Fix all warnings from the import.
 *
 * Revision 1.2  2011/05/31 13:02:42  dick
 * Bucko headers.
 *
 */

/* 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Original Code is jIBS, <https://sourceforge.net/projects/fibs/>.
 * The Initial Developer of the Original Code is Axel Leucht.
 * 
 */
package net.sourceforge.jibs.command;

import net.sourceforge.jibs.server.JibsServer;
import net.sourceforge.jibs.server.Player;
import net.sourceforge.jibs.util.ClipConstants;
import net.sourceforge.jibs.util.JibsWriter;

/** Client asked for info about all logged in players
 *
 * @author Axel Leucht
 * @author Dick Balaska
 * @version $Revision: 1.4 $ <br> $Date: 2011/06/06 02:57:00 $
 * @see <a href="http://cvs.buckosoft.com/Projects/jIBS/jIBS/src/main/java/net/sourceforge/jibs/command/Who_Command.java">cvs Who_Command.java</a>
 */
public class Who_Command implements JibsCommand {
	// ---------------------------------------------------------------------------------------------------------------
	// --------------------------------------------------------------------------------------------------------------------
	public boolean execute(JibsServer jibsServer, Player player,
			String strArgs, String[] args) {
		JibsWriter out = player.getOutputStream();

		for (Player aPlayer : jibsServer.getAllClients().values()) {
			JibsWriter aout = aPlayer.getOutputStream();

			if (player.canCLIP()) {
				out.print(ClipConstants.CLIP_WHO_INFO + " ");
			}

			Player.whoinfo(out, player, aPlayer);

			if (!aPlayer.getName().equals(player.getName())) {
				if (aPlayer.canCLIP()) {
					aout.print(ClipConstants.CLIP_WHO_INFO + " ");
					Player.whoinfo(aout, aPlayer, player);
					out.println(ClipConstants.CLIP_WHO_END + " ");
				}
			}
		}

		if (player.canCLIP()) {
			out.println(ClipConstants.CLIP_WHO_END + " ");
		}

		return true;
	}
}
